## linuxcnc 2.9.1

=== src/Makefile ===
# Some useful targets:
#
#     default (if no make target is specified): Build the software and
#         the docs (if enabled via configure).
#
#     build-software: Build all the realtime and non-realtime software
#         libraries & executables.
#
#     docs: Build all the documentation that's enabled through configure.
#
#
#     install: Install everything (realtime software, non-realtime
#         software, and docs).
#
#     install-software: Install all architecture-specific things (realtime
#         and non-realtime libraries and executables).
#
#     install-docs: Install all enabled documentation into $(DESTDIR).
#

SHELL:=/bin/bash

default: build-software

install: install-software install-docs

install-software: install-kernel-dep install-kernel-indep install-menu

ifeq ($(origin KERNELRELEASE), undefined)
MAKEFLAGS += --warn-undefined-variables
endif

EXTRAFLAGS :=
EXTRA_DEBUG ?=

ifndef DESTDIR
DESTDIR :=
endif

# see http://www.cmcrossroads.com/ask-mr-make/6535-tracing-rule-execution-in-gnu-make
# to trace make execution of make in more detail:
# make VV=1
ifeq ("$(origin VV)", "command line")
    OLD_SHELL := $(SHELL)
    SHELL = $(warning Building $@$(if $<, (from $<))$(if $?, ($? newer)))$(OLD_SHELL)
endif

# Delete the default suffix rules
.SUFFIXES:
.PHONY: default build-software userspace modules clean modclean depclean install install-software install-docs python pythonclean cscope cscopeclean

# A "trivial build" is one which should not include dependency information
# either because it should be usable before dependency information can be
# generated or when it is invalid (clean, docclean) or when running as root
# when the user must guarantee in advance that everything is built
# (setuid, install)
ifeq ($(MAKECMDGOALS),)
TRIVIAL_BUILD=no
else
ifeq ($(filter-out docclean clean setuid install tags swish,$(MAKECMDGOALS)),)
TRIVIAL_BUILD=yes
else
TRIVIAL_BUILD=no
endif
endif

# Used to enable x86 only HAL parts
ifeq ($(shell uname -m),i686)
X86ARCH = true
endif
ifeq ($(shell uname -m),x86_64)
X86ARCH = true
endif

# Beautify output
# ---------------------------------------------------------------------------
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If BUILD_VERBOSE equals 0 then the above command will be hidden.
# If BUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ("$(origin V)", "command line")
  BUILD_VERBOSE = $(V)
endif
ifndef BUILD_VERBOSE
  BUILD_VERBOSE = 0
endif

ifeq ($(BUILD_VERBOSE),1)
  Q =
else
  Q = @
endif

ifeq "$(findstring s,$(filter-out --%, $(MAKEFLAGS)))" ""
ECHO=@echo
VECHO=echo
else
ECHO=@true
VECHO=true
endif

ifeq ($(BASEPWD),)
BASEPWD := $(shell pwd)
export BASEPWD
include Makefile.inc
ifeq ($(origin PYTHONPATH),undefined)
PYTHONPATH:=$(EMC2_HOME)/lib/python
else
PYTHONPATH:=$(EMC2_HOME)/lib/python:$(PYTHONPATH)
endif
export PYTHONPATH
else
include $(BASEPWD)/Makefile.inc
endif
ifeq ($(RTPREFIX),)
$(error Makefile.inc must specify RTPREFIX and other variables)
endif

ifeq ($(TOOL_NML),yes)
  TOOL_NML_FLAG := -DTOOL_NML
  $(info TOOL_NML_FLAG =$(TOOL_NML_FLAG))
else
endif

cc-option = $(shell if $(CC) $(CFLAGS) $(1) -S -o /dev/null -xc /dev/null \
	     > /dev/null 2>&1; then echo "$(1)"; fi ;)
cxx-option = $(shell if $(CXX) $(CXXFLAGS) $(1) -S -o /dev/null -xc++ /dev/null \
            > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi ;)

ifeq ($(origin KERNELRELEASE),undefined)
# When KERNELRELEASE is not defined, this is the userspace build.
# The "modules" target is the gateway to the kernel module build.
build-software: userspace modules
ifeq ($(RUN_IN_PLACE),yes)
ifneq ($(BUILD_SYS),uspace)
	@if [ -f ../bin/linuxcnc_module_helper ]; then if ! [ `id -u` = 0 -a -O ../bin/linuxcnc_module_helper -a -u ../bin/linuxcnc_module_helper ]; then $(VECHO) "You now need to run 'sudo make setuid' in order to run in place."; fi; fi
else
	@if [ -f ../bin/rtapi_app ]; then if ! [ `id -u` = 0 -a -O  ../bin/rtapi_app -a -u ../bin/rtapi_app ]; then $(VECHO) "You now need to run 'sudo make setuid' in order to run in place with access to hardware."; fi; fi
endif
endif

VERSION=$(shell cat ../VERSION)
dist:
	mkdir ../linuxcnc-$(VERSION)
	(cd ../ && git archive master) | (cd ../linuxcnc-$(VERSION) && tar xf -)
	(cd ../linuxcnc-$(VERSION) && ./debian/configure)
	(cd ../linuxcnc-$(VERSION)/src && ./autogen.sh)
	(cd .. && tar zcf linuxcnc-$(VERSION).tar.gz linuxcnc-$(VERSION))
	rm -rf ../linuxcnc-$(VERSION)

# Print 'entering' all the time
MAKEFLAGS += w

# Create the variables with := so that subsequent += alterations keep it
# as a "substitute at assignment time" variable
TARGETS :=
PYTARGETS :=
GENERATED_MANPAGES :=

# Submakefiles from each of these directories will be included if they exist
SUBDIRS := \
    libnml/linklist libnml/cms libnml/rcs libnml/inifile libnml/os_intf \
    libnml/nml libnml/buffer libnml/posemath libnml \
    \
    rtapi/examples/timer rtapi/examples/semaphore rtapi/examples/shmem \
    rtapi/examples/extint rtapi/examples/fifo rtapi/examples rtapi \
    \
    hal/components hal/drivers hal/drivers/mesa-hostmot2 \
    hal/user_comps/devices hal/user_comps/mb2hal \
    hal/user_comps hal/user_comps/vismach hal/user_comps/vfs11_vfd hal/classicladder hal/utils hal \
    hal/user_comps/vfdb_vfd hal/user_comps/wj200_vfd \
    hal/user_comps/pi500_vfd \
    hal/user_comps/huanyang-vfd \
	hal/user_comps/xhc-whb04b-6 \
    \
    emc/usr_intf/axis emc/usr_intf/touchy emc/usr_intf/stepconf emc/usr_intf/pncconf \
    emc/usr_intf/gremlin emc/usr_intf/gscreen emc/usr_intf/pyui emc/usr_intf/qtvcp \
    emc/usr_intf/gmoccapy emc/usr_intf/qtplasmac emc/usr_intf/mdro\
    emc/usr_intf emc/nml_intf emc/task emc/iotask emc/kinematics emc/tp emc/canterp \
    emc/motion emc/ini emc/rs274ngc emc/sai emc/pythonplugin \
    emc/motion-logger \
    emc/tooldata \
    emc \
    \
    module_helper \
    \
    po \
    \
    ../docs/src ../docs/src/source-highlight \
    \
    ../tests \



ULAPISRCS := rtapi/$(RTPREFIX)_ulapi.c

# Each item in INCLUDES is transformed into a -I directive later on
# The top directory is always included
INCLUDES := .

USERSRCS :=
PROGRAMS :=

# When used like $(call TOxxx, ...) these turn a list of source files
# into the corresponding list of object files, dependency files,
# or both.  When a source file has to be compiled with special flags,
# TOOBJSDEPS is used.  Confusingly, TOOBJSDEPS includes preprocessed source
# file names, but this is what allows 'make src.i' to produce proper
# preprocessed source when src.c needs a customized compile flag.
# See Submakefile.skel for an example.
TOOBJS = $(patsubst %.cc,objects/%.o,$(patsubst %.c,objects/%.o,$(1)))
TODEPS = $(patsubst %.cc,objects/%.d,$(patsubst %.c,objects/%.d,$(1)))
TOOBJSDEPS = $(call TOOBJS,$(1)) $(call TODEPS, $(1)) $(patsubst %.cc,%.ii,$(patsubst %.c,%.i,$(1)))

SUBMAKEFILES := $(patsubst %,%/Submakefile,$(SUBDIRS))
-include $(wildcard $(SUBMAKEFILES))

# This checks that all the things listed in USERSRCS are either C files
# or C++ files
ASSERT_EMPTY = $(if $(1), $(error "Should be empty but is not: $(1)"))
$(call ASSERT_EMPTY,$(filter-out %.c %.cc, $(USERSRCS)))

$(call TOOBJS,$(PYSRCS)) : EXTRAFLAGS += -fPIC -fno-strict-aliasing
USERSRCS += $(PYSRCS)

# Find the list of object files for each type of source file
CUSERSRCS := $(filter %.c,$(USERSRCS))
CXXUSERSRCS := $(filter %.cc,$(USERSRCS))
CUSEROBJS := $(call TOOBJS,$(CUSERSRCS))
CXXUSEROBJS += $(call TOOBJS,$(CXXUSERSRCS))

ifeq ($(TRIVIAL_BUILD),no)
# Find the dependency filenames, then include them all
DEPS := $(sort $(patsubst %.o,%.d,$(CUSEROBJS) $(CXXUSEROBJS)))
READ_DEPS = $(wildcard $(DEPS))
$(shell $(VECHO) 1>&2 Reading $(words $(READ_DEPS))/$(words $(DEPS)) dependency files)
-include $(READ_DEPS)
UNREAD_DEPS = $(filter-out $(READ_DEPS), $(DEPS))
$(shell $(VECHO) 1>&2 Done reading dependencies)
endif

# Each directory in $(INCLUDES) is passed as a -I directory when compiling.
INCLUDE := $(patsubst %,-I%, $(INCLUDES)) -I$(RTDIR)/include
INCLUDE += $(PYTHON_CPPFLAGS)
INCLUDE += $(LIBTIRPC_CFLAGS)

# Compilation options.	Perhaps some of these should come from Makefile.inc? (CXXFLAGS now does)
INTEGER_OVERFLOW_FLAGS := -fwrapv
OPT := -Os $(INTEGER_OVERFLOW_FLAGS)
DEBUG := $(DEBUG) -g -Wall -D_FORTIFY_SOURCE=2
CFLAGS := $(INCLUDE) $(OPT) $(DEBUG) $(EXTRA_DEBUG) -DULAPI -std=gnu11 -Werror=implicit-function-declaration $(CFLAGS) $(CPPFLAGS)
CXXFLAGS := $(INCLUDE) $(EXTRA_DEBUG) -DULAPI $(DEBUG) $(OPT) -Werror=overloaded-virtual $(CXXFLAGS) $(CPPFLAGS)
CXXFLAGS += -std=gnu++17
# In Debian 11, any inclusion of <boost/python.hpp> leads to several
# diagnostics from included headers about deprecated features. LinuxCNC does
# not directly use these deprecated features, but it does use boost::python.
# Silence the warnings just when they occur in files using boost/python.hpp by
# adding SILENCE_BOOST_INTERNAL_DIAGNOSTICS_FLAGS to the object's EXTRAFLAGS
SILENCE_BOOST_INTERNAL_DIAGNOSTICS_FLAGS = -DBOOST_ALLOW_DEPRECATED_HEADERS=1 -DBOOST_BIND_GLOBAL_PLACEHOLDERS=1
CFLAGS   += $(TOOL_NML_FLAG)
CXXFLAGS += $(TOOL_NML_FLAG)

ifeq ($(RUN_IN_PLACE),yes)
LDFLAGS := -L$(LIB_DIR) -Wl,-rpath,$(LIB_DIR) $(LIBTIRPC_LIBS) $(LDFLAGS)
else
LDFLAGS := -Wl,-rpath-link,../lib $(LIBTIRPC_LIBS) $(LDFLAGS)
endif

# Rules to make .o (object) files
$(sort $(CUSEROBJS)) : objects/%.o: %.c
	$(ECHO) Compiling $<
	@mkdir -p $(dir $@)
	@rm -f $@
	$(Q)$(CC) -c $(CFLAGS) $(EXTRAFLAGS) \
		-MP -MD -MF "${@:.o=.d}" -MT "$@" \
		$< -o $@

$(sort $(CXXUSEROBJS)) : objects/%.o: %.cc
	$(ECHO) Compiling $<
	@mkdir -p $(dir $@)
	@rm -f $@
	$(Q)$(CXX) -c $(CXXFLAGS) $(EXTRAFLAGS) \
		-MP -MD -MF "${@:.o=.d}" -MT "$@" \
		$< -o $@

# Rules to make .i (preprocessed) files
$(sort $(patsubst %.c,%.i,$(CUSERSRCS))): %.i: %.c
	$(ECHO) Preprocessing $< to $@
	$(Q)$(CC) -dD $(CFLAGS) $(EXTRAFLAGS) -E $< -o $@

$(sort $(patsubst %.cc,%.ii,$(CXXUSERSRCS))): %.ii: %.cc
	$(ECHO) Preprocessing $< to $@
	$(Q)$(CXX) -dD $(CXXFLAGS) $(EXTRAFLAGS) -E $< -o $@

ifeq ($(TRIVIAL_BUILD),no)
configure: configure.ac
	AUTOGEN_TARGET=configure ./autogen.sh

config.h.in: configure.ac
	AUTOGEN_TARGET=config.h.in ./autogen.sh

config.status: configure
	if [ -f config.status ]; then ./config.status --recheck; else \
	    echo 1>&2 "*** linuxcnc is not configured.	Run './configure' with appropriate flags."; \
	    exit 1; \
	fi
endif

Makefile: config.h
config.h: config.h.in config.status
	@./config.status -q --header=$@

INFILES = \
        ../scripts/linuxcnc ../scripts/realtime \
	../scripts/linuxcnc_info ../scripts/setup_designer \
	../scripts/haltcl ../scripts/rtapi.conf Makefile.inc Makefile.modinc \
	../tcl/linuxcnc.tcl ../scripts/halrun ../scripts/rip-environment \
	../scripts/linuxcncmkdesktop \
	../lib/python/nf.py \
	../share/desktop-directories/linuxcnc-doc.directory \
	../share/desktop-directories/linuxcnc-ref.directory \
	../share/desktop-directories/linuxcnc-cnc.directory \
	../share/menus/CNC.menu \
	../share/applications/linuxcnc.desktop \
	../share/applications/linuxcnc-latency.desktop \
	../share/applications/linuxcnc-latency-histogram.desktop \
	../share/applications/linuxcnc-pncconf.desktop \
	../share/applications/linuxcnc-stepconf.desktop \
	../scripts/linuxcnc_var \
	../scripts/halcmd_twopass \
	../scripts/runtests \

$(INFILES): %: %.in config.status
	@./config.status --file=$@

build-software: $(INFILES)

# For each file to be copied to ../include, its location in the source tree
# is listed here.  Note that due to $(INCLUDE), defined above, the include
# files in the source tree are the ones used when building linuxcnc.  The copy
# in ../include is used when building external components of linuxcnc.
SRCHEADERS := \
    emc/linuxcnc.h \
    emc/ini/emcIniFile.hh \
    emc/ini/iniaxis.hh \
    emc/ini/inijoint.hh \
    emc/ini/inispindle.hh \
    emc/ini/initraj.hh \
    emc/ini/inihal.hh \

=== debian/changelog ===
linuxcnc (2.9.1-2ubuntu1) noble; urgency=medium

  * Fix build with FORTIFY_SOURCE=3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Dec 2023 14:23:29 +0100

linuxcnc (2.9.1-2) unstable; urgency=medium

  * Addressed build failure.

 -- Steffen Moeller <moeller@debian.org>  Sun, 05 Nov 2023 12:59:16 +0100

linuxcnc (2.9.1-1) unstable; urgency=medium

  * New upstream version 2.9.1
  * Add 7I94T, 7I97T, 7I76EU card support
  * docs: Add manpage for emccalib
  * Merge pull request #2684 from petterreinholdtsen/2.9-whatis-limit_axis
  * Merge pull request #2611 from phillc54/phillc54/docs
  * gmoccapy - deleted unused code
  * halcompile: Accept hal pins of type "port"
  * G71 - G72 tests
  * G71 and G72 cycle fix. Addresses #707 and #1146
  * Merge pull request #2675 from LinuxCNC/c-morley-patch-1
  * Update hal_glib.py
  * docs: minor changes to suit sim configs


 -- Andy Pugh <andy@bodgesoc.org>  Sun, 08 Oct 2023 15:16:06 +0100

linuxcnc (2.9.0) unstable; urgency=medium

  * Add firmware 7i96d_1pwm for 7i96 for PNCconf
  * add GTK and Qt backends to the OpenGL wayland workaround
  * Add new Mesa card support from Master to 2.9
  * Add OutM simple output module support
  * Add preliminary 7I96S support
  * add sample hm2 stepper & servo configs for a couple of eth boards
  * add tests for mb2hal
  * Added user space HAL component for publishing HAL values to a MQTT broker.
  * Adding Limit_Axis Component
  * adding new Icons for manual and Linuxcnc
  * Axis Limits check: Revert bad fix, add "re-check"
  * axis.py: Address jog issue with missing axes. #2445
  * FixBug #2169: Issue with arcs immediately after homing
  * carousel.comp: Add direct position control for stepgen and encoder modes
  * clean up handling of canterp
  * docs - Hundreds of updates
  * docs29: small changes while translating
  * encoder.c: Fix bug 2535 - missing tooth unreliable at low speed
  * enum: Add a HAL component to handle enumerated types
  * Fix "userspace" vs "realtime" nomenclature
  * fix a race in communication between Task and Motion
  * Fix for https://github.com/LinuxCNC/linuxcnc/issues/2410
  * Fix for issue 2516: make sure the entire list is scanned when searching
  * Fix for issue 2530 G95, G96 and G97 with a $ to choose spindle
  * Fix gremlin commandline program to run again
  * fix halcompile test to work both rip and installed
  * Fix wonky filechooser behavior at first program load
  * gladevcp: - Many Updates
  * glcannon - Many Updates
  * gmoccapy - Many, Many Updates
  * hal_glib - Several Updates
  * hal_gpio: Generic GPIO driver for any platform supporting libgpiod
  * halcompile: Add command line arguments to provide compile and link flags
  * halscope: Several updats
  * hm2_eth: add support for 7i96
  * hm2_pktuart: Support changes in Rx and Tx modules
  * homing: Fix for #2169 introduced #2308.
  * homing.c: Apply suggested fix for #2629 and #2388 Fix suggested by  yuyue2013
  * homing.c: More conventional syntax for bitmasking
  * hostmot2 bspi: sanity-check that channel echo enable matches receive buffer present
  * interpmodule: add interpreter.active_spindle property
  * interpmodule: fix `speed` property
  * Issue #1232: Fixed
  * Issue #1747: Fixed
  * Issue #2169: Fixed
  * Issue #2483. Partially ficed
  * limit_axis:  - New component
  * Manually apply PR #2133 to 2.9 Original Author: luz paz <luzpaz@pm.me>
  * mb2hal Several Updates
  * Merge pull request #1976 from phillc54/phillc54/outm_for_2.8_pncconf
  * Merge pull request #1991 from smoe/docs_plasma
  * Merge pull request #2051 from hansu/docs-links
  * Merge pull request #2057 from hansu/gmoccapy-fix-missing-startup-code
  * Merge pull request #2069 from zz912/patch-11
  * Merge pull request #2120 from hansu/issue-2111
  * Merge pull request #2139 from smoe/docs_misc_mac_2
  * Merge pull request #2141 from petterreinholdtsen/doc-https-shorter
  * Merge pull request #2144 from smoe/docs_misc_mac_3
  * Merge pull request #2147 from petterreinholdtsen/debian-unstable-testing-supported
  * Merge pull request #2148 from smoe/docs_misc_mac_4
  * Merge pull request #2153 from adamlouis/2.8-fix-get-program
  * Merge pull request #2155 from smoe/docs29_mac_1
  * Merge pull request #2159 from smoe/docs29_mac_6_was_equiv_against_master
  * Merge pull request #2160 from smoe/docs29_mac_2
  * Merge pull request #2161 from smoe/docs29_mac_5_equiv_to_PR_against_master
  * Merge pull request #2163 from petterreinholdtsen/2.9-man-adoc-authors
  * Merge pull request #2164 from petterreinholdtsen/2.9-rtapi-ioperm
  * Merge pull request #2165 from petterreinholdtsen/2.9-man-rtapi-io
  * Merge pull request #2167 from hansu/fix-mb2hal-pin-names
  * Merge pull request #2172 from petterreinholdtsen/i2gc-url
  * Merge pull request #2181 from smoe/2.8
  * Merge pull request #2183 from smoe/docs_29_mac_11
  * Merge pull request #2187 from smoe/docs_man_reformatting_xhc
  * Merge pull request #2190 from smoe/docs_misc_10
  * Merge pull request #2192 from AlexmagToast/2.9
  * Merge pull request #2194 from hansu/gmoccapy-3-4-1
  * Merge pull request #2195 from smoe/netcat_build_deps
  * Merge pull request #2196 from LinuxCNC/find-zombies
  * Merge pull request #2207 from smoe/docs29_misc_pc_1
  * Merge pull request #2208 from smoe/docs29_misc_pc_2
  * Merge pull request #2216 from smoe/docs29_misc_pc_3
  * Merge pull request #2220 from smoe/docs29_misc_lenovo_1
  * Merge pull request #2223 from smoe/debian_build-indep
  * Merge pull request #2224 from smoe/docs29_misc_lenovo_2
  * Merge pull request #2232 from hansu/docs-halshow
  * Merge pull request #2233 from LinuxCNC/linuxcnc-module-docs
  * Merge pull request #2234 from LinuxCNC/log-jjogmode
  * Merge pull request #2235 from smoe/docs29_mac_14
  * Merge pull request #2238 from smoe/docs29_mac_12
  * Merge pull request #2239 from LinuxCNC/prettier-errors
  * Merge pull request #2241 from smoe/docs29_mac_11
  * Merge pull request #2242 from LinuxCNC/stricter-pluggable-interp


=== debian/control ===
Source: linuxcnc
Section: misc
Priority: optional
Maintainer: LinuxCNC Developers <emc-developers@lists.sourceforge.net>
Uploaders: Jeff Epler <jepler@gmail.com>, Sebastian Kuzminsky <seb@highlab.com>
Build-Depends:
    debhelper-compat (= 13),
    dh-python,
    libudev-dev,
    docbook-xsl,
    asciidoc,
    ghostscript,
    imagemagick,
    asciidoc-dblatex,
    autoconf,
    automake,
    bwidget (>= 1.7),
    desktop-file-utils,
    gettext,
    intltool,
    libboost-python-dev,
    libepoxy-dev,
    libgl1-mesa-dev | libgl1-mesa-swx11-dev,
    libglu1-mesa-dev,
    libgtk2.0-dev,
    libgtk-3-dev,
    libmodbus-dev (>= 3.0),
    libeditreadline-dev | libreadline-dev,
    libtirpc-dev,
    libusb-1.0-0-dev,
    libxmu-dev,
    netcat-traditional | netcat-openbsd | netcat,
    po4a,
    procps,
    psmisc,
    python3,
    python3-dev,
    python3-tk,
    python3-xlib,
    tcl8.6-dev,
    tclx,
    tk8.6-dev,
    yapps2
Build-Depends-Indep:
    dblatex (>= 0.2.12),
    dvipng,
    fonts-dejavu,
    graphviz,
    groff,
    inkscape,
    python3-lxml,
    source-highlight,
    texlive-extra-utils,
    texlive-font-utils,
    texlive-fonts-recommended,
    texlive-lang-cyrillic,
    texlive-lang-european,
    texlive-lang-french,
    texlive-lang-german,
    texlive-lang-polish,
    texlive-lang-spanish,
    texlive-latex-recommended,
    w3c-linkchecker,
    xsltproc,
    texlive-xetex,
Standards-Version: 4.6.1
Homepage: https://linuxcnc.org/
Vcs-Browser: https://github.com/LinuxCNC/linuxcnc
Vcs-Git: https://github.com/LinuxCNC/linuxcnc.git
Rules-Requires-Root: binary-targets

Package: linuxcnc-uspace-dev
Architecture: any
Conflicts: linuxcnc-sim-dev, linuxcnc-dev
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-serial,
         linuxcnc-uspace (= ${binary:Version}),
         udev,
         python3-yapps
Section: devel
Description: PC based motion controller for real-time Linux
 LinuxCNC is a fully-realised CNC machine controller that can interpret
 machine-control programs (such as G-code), plan trajectories and finally
 output low-level signals to machine control hardware
 .
 LinuxCNC is modular and in principle the HAL (hardware abstraction layer),
 pluggable interpreters and variety of hardware drivers mean that it can
 control almost any software-defined physical system.
 .
 LinuxCNC relies on a realtime kernel to support real-time motion control,
 typically updating the position waypoints every 1mS and reacting to
 input within tens of microseconds.
 .
 Modules exist to use the low-level parts of LinuxCNC as a motion-control
 client for OpenPnP. Interfaces exist for ROS (the Robot Operating System)
 with which LinuxCNC has considerable overlap.
 .
 LinuxCNC supports arbitrary kinematics (the mapping between coordinate
 space and actuator space) and can control both parallel (eg Stewart
 platform) and serial (eg robot arm) systems in addition to conventional
 cartesian machine tools.
 .
 LinuxCNC supports 9 cartesian axes and 16 "Joints" (individual actuators)
 though the joint limit is build-time configurable.
 .
 A variety of interface hardware is supported including Modbus, EtherCAT,
 analogue +/-10V velocity control and Step/Dir. Step/Dir is supported by
 several hardware interfaces, including, but not limited to, the legacy
 Parallel Port.
 .
 A Hardware Abstraction Layer allows for great flexibility in signal
 mapping between the controller and the driver hardware. An extensive
 library of modules allow for complex signal processing within the HAL
 layer. For specialised tasks custom HAL components can be created using
 a C-like syntax and installed with the supplied tools.
 .
 By default LinuxCNC supports RS274 G-code but is extendable to parse
 other grammars such as STEP-NC or Gerber through support for pluggable
 interpreters.
 .
 If you want a computer to control things in the real world
 then LinuxCNC can do it. It is especially applicable to systems that
 are required to follow accurate paths described in cartesian space but
 has been used for numerous other applications.
 .
 This package provides all files that you need to embed parts of LinuxCNC
 in your developments.

Package: linuxcnc-uspace
Conflicts:
    linuxcnc-sim,
    linuxcnc
Breaks:
    linuxcnc-doc-en (<= 2.9.0~pre0+git20220402.2500863908-4),
    linuxcnc-doc-es (<= 2.9.0~pre0+git20220402.2500863908-4),
    linuxcnc-doc-fr (<= 2.9.0~pre0+git20220402.2500863908-4)
Architecture: any
Depends:
    ${misc:Depends},
    ${python3:Depends},
    ${shlibs:Depends},
    libudev-dev,iptables,
    blt,
    mesa-utils,
    python3-tk,
    python3-numpy,
    python3-cairo,
    python3-gi-cairo,
    python3-opengl,
    python3-configobj,
    python3-xlib,
    libgtksourceview-3.0-dev,
    tcl8.6,
    tk8.6,
    bwidget (>= 1.7),
    tclreadline,
    tclx,
    procps, psmisc,
    udev
Recommends:
    linuxcnc-doc-en | linuxcnc-doc,
    librsvg2-dev,
    hostmot2-firmware-all, linux-image-rt-amd64 [linux-amd64], linux-image-rt-686-pae [linux-i386],
    python3-pil,
    python3-pil.imagetk,
    python3-pyqt5,
    python3-pyqt5.qsci,
    python3-pyqt5.qtsvg,
    python3-pyqt5.qtopengl,
    python3-opencv,
    python3-dbus,
    python3-espeak,
    python3-dbus.mainloop.pyqt5,
    python3-pyqt5.qtwebkit,
    espeak-ng,
    pyqt5-dev-tools,
    gstreamer1.0-tools,espeak,
    sound-theme-freedesktop,
    python3-poppler-qt5
Suggests: mesaflash,
    onboard
Description: motion controller for CNC machines and robots
 LinuxCNC is a fully-realised CNC machine controller that can interpret
 machine-control programs (such as G-code), plan trajectories and finally
 output low-level signals to machine control hardware
 .
 LinuxCNC is modular and in principle the HAL (hardware abstraction layer),
 pluggable interpreters and variety of hardware drivers mean that it can
 control almost any software-defined physical system.
 .
 LinuxCNC relies on a realtime kernel to support real-time motion control,
 typically updating the position waypoints every 1mS and reacting to
 input within tens of microseconds.
 .
 Modules exist to use the low-level parts of LinuxCNC as a motion-control
 client for OpenPnP. Interfaces exist for ROS (the Robot Operating System)
 with which LinuxCNC has considerable overlap.
 .
 LinuxCNC supports arbitrary kinematics (the mapping between coordinate
 space and actuator space) and can control both parallel (eg Stewart
 platform) and serial (eg robot arm) systems in addition to conventional
 cartesian machine tools.
 .
 LinuxCNC supports 9 cartesian axes and 16 "Joints" (individual actuators)
 though the joint limit is build-time configurable.
 .
 A variety of interface hardware is supported including Modbus, EtherCAT,
 analogue +/-10V velocity control and Step/Dir. Step/Dir is supported by
 several hardware interfaces, including, but not limited to, the legacy
 Parallel Port.
 .
 A Hardware Abstraction Layer allows for great flexibility in signal
 mapping between the controller and the driver hardware. An extensive
 library of modules allow for complex signal processing within the HAL
 layer. For specialised tasks custom HAL components can be created using
 a C-like syntax and installed with the supplied tools.
 .
 By default LinuxCNC supports RS274 G-code but is extendable to parse
 other grammars such as STEP-NC or Gerber through support for pluggable
 interpreters.
 .
 If you want a computer to control things in the real world
 then LinuxCNC can do it. It is especially applicable to systems that
 are required to follow accurate paths described in cartesian space but
 has been used for numerous other applications.
 .
 This package provides the main package for LinuxCNC.

Package: linuxcnc-doc-de
Provides: linuxcnc-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: xdg-utils
Suggests: pdf-viewer
Description: motion controller for CNC machines and robots (German documentation)
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in German.

Package: linuxcnc-doc-en
Provides: linuxcnc-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4),
Replaces: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4)
Recommends: xdg-utils
Suggests: pdf-viewer
Description: motion controller for CNC machines and robots (English documentation)
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in English.

Package: linuxcnc-doc-fr
Provides: linuxcnc-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4)
Replaces: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4)
Recommends: xdg-utils
Suggests: pdf-viewer
Description: motion controller for CNC machines and robots (French documentation)
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in French.

Package: linuxcnc-doc-es
Provides: linuxcnc-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4)
Replaces: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4)
Recommends: xdg-utils
Suggests: pdf-viewer
Description: controlador de movimiento para máquinas CNC y robots (Español).
 LinuxCNC es EMC (controlador de máquina mejorado) que proporciona
 control de movimiento para máquinas herramientas CNC (fresado,
 torneado, ruteado, etc.) y aplicaciones de robótica.
 .
 Este paquete contiene la documentación en español.

Package: linuxcnc-doc-zh-cn
Provides: linuxcnc-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: xdg-utils
Suggests: pdf-viewer
Conflicts: linuxcnc-doc-cn
Replaces: linuxcnc-doc-cn
Description: motion controller for CNC machines and robots (Chinese
 documentation)
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in Chinese.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (C) 2006 Jeff Epler
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# When used to produce a debian package, this file is a script "used to
# control compilation and installation of the executable"

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

# Support more robust code and makes code modifications more difficult
# Compare https://wiki.debian.org/Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Trigger other tools to use the timestamp from debian/changelog
# Compare https://reproducible-builds.org/docs/source-date-epoch/
export SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -STimestamp)

# Set time & date to the most recent release, for repeatable builds.
TIMESTAMP=$(shell dpkg-parsechangelog -S timestamp)
export DATE=$(shell LANG=C date --date='@$(TIMESTAMP)' '+%d\ %b\ %Y')
export TIME=$(shell LANG=C date --date='@$(TIMESTAMP)' '+%T')

kernel_version = uspace
configure_realtime_arg = --with-realtime=uspace
enable_build_documentation = --enable-build-documentation=pdf
DESTDIR=$(CURDIR)/debian/tmp
DEV_PACKAGE_NAME=linuxcnc-uspace-dev

%:
	dh $@

override_dh_auto_configure:
	cd src && ./autogen.sh
	cd src && PYTHON=/usr/bin/python3 ./configure \
	    --prefix=/usr --sysconfdir=/etc \
	    --mandir=/usr/share/man \
	    $(configure_realtime_arg) \
	    $(enable_build_documentation) \
	    --disable-check-runtime-deps

override_dh_auto_build-arch:
	$(MAKE) PYTHON=/usr/bin/python3 -C src build-software

override_dh_auto_build-indep:
ifneq "$(enable_build_documentation)" ""
	$(MAKE) PYTHON=/usr/bin/python3 -C src manpages
	$(MAKE) PYTHON=/usr/bin/python3 -C src translateddocs
	$(MAKE) PYTHON=/usr/bin/python3 -C src docs
endif

override_dh_auto_clean:
	dh_auto_clean
	py3clean .
	if [ -r src/Makefile.inc -a -r src/config.status ]; then $(MAKE) -C src clean -s; fi
	rm -f Makefile.inc
	rm -f src/config.log src/config.status
	rm -f $(for i in $(find . -name "*.in"); do basename $i .in; done)

	rm -f scripts/halcmd_twopass scripts/halrun scripts/haltcl scripts/linuxcnc scripts/linuxcnc-checklink scripts/linuxcnc_info scripts/linuxcnc_var scripts/linuxcncmkdesktop scripts/realtime scripts/rip-environment scripts/runtests src/config.guess src/config.sub src/configure src/install-sh lib/libpyplugin.so docs/src/hal/components_gen.adoc

	rm -f lib/python/nf.py scripts/rtapi.conf scripts/setup_designer share/applications/linuxcnc-latency-histogram.desktop share/applications/linuxcnc-latency.desktop share/applications/linuxcnc-pncconf.desktop share/applications/linuxcnc-stepconf.desktop share/applications/linuxcnc.desktop share/desktop-directories/linuxcnc-cnc.directory share/desktop-directories/linuxcnc-doc.directory share/desktop-directories/linuxcnc-ref.directory share/menus/CNC.menu src/Makefile.inc src/Makefile.modinc src/config.h src/config.h.in tcl/linuxcnc.tcl

	rm -f docs/po/cs.po docs/po/da.po docs/po/de.po
	dh_clean


override_dh_auto_install-arch:
	# Install all architecture-dependent libraries and executables
	# in DESTDIR (the staging dir for the main package).
	DESTDIR=$(DESTDIR) $(MAKE) -C src install-software
	py3clean .

	desktop-file-validate $(shell find debian/extras/ share/applications/ -name *.desktop);
	
	# some clean-up
	rm -f $(DESTDIR)/usr/share/doc/linuxcnc-uspace/examples/sample-configs/*/*position*.txt

override_dh_installdocs-arch:
	# Sample configs go in `usr/share/doc/linuxcnc` (not
	# `.../doc/linuxcnc-uspace`) because that's where the
	# `linuxcnc` launcher script looks for them, and that's
	# inconvenient to change.
	dh_installdocs --doc-main-package=linuxcnc-uspace --package=linuxcnc-uspace
	mkdir -p debian/linuxcnc-uspace/usr/share/doc/linuxcnc
	mv debian/linuxcnc-uspace/usr/share/doc/linuxcnc-uspace/examples debian/linuxcnc-uspace/usr/share/doc/linuxcnc
	
	dh_installdocs --doc-main-package=linuxcnc-uspace --package=linuxcnc-uspace-dev


override_dh_auto_install-indep:
	DESTDIR=$(DESTDIR) $(MAKE) -C src install-docs install-doc
	# Remove the docs we just built that we don't have debs for yet...
	rm -f $(DESTDIR)/usr/share/doc/linuxcnc/*_nb.pdf

override_dh_installdocs-indep:
	# The G-code quick reference html docs are built as
	# `docs/html/${LANG}/gcode.html`.  We install them
	# into `/usr/share/doc/linuxcnc-uspace/` in each
	# linuxcnc-doc-${LANG} package, then rename them there (except
	# for the English one) to include the language in the filename,
	# so they don't collide when we install all the doc debs.
	#
	# Rename the "main" doc directories from
	# `usr/share/doc/linuxcnc-uspace` to `usr/share/doc/linuxcnc`,
	# because that's where the `.desktop` files look for the docs.
	dh_installdocs --doc-main-package=linuxcnc-uspace --package=linuxcnc-doc-de
	mv debian/linuxcnc-doc-de/usr/share/doc/linuxcnc-uspace/gcode.html debian/linuxcnc-doc-de/usr/share/doc/linuxcnc-uspace/gcode_de.html
	mv debian/linuxcnc-doc-de/usr/share/doc/linuxcnc-uspace debian/linuxcnc-doc-de/usr/share/doc/linuxcnc
	
	dh_installdocs --doc-main-package=linuxcnc-uspace --package=linuxcnc-doc-en
	mv debian/linuxcnc-doc-en/usr/share/doc/linuxcnc-uspace debian/linuxcnc-doc-en/usr/share/doc/linuxcnc
	
	dh_installdocs --doc-main-package=linuxcnc-uspace --package=linuxcnc-doc-es
	mv debian/linuxcnc-doc-es/usr/share/doc/linuxcnc-uspace/gcode.html debian/linuxcnc-doc-es/usr/share/doc/linuxcnc-uspace/gcode_es.html
	mv debian/linuxcnc-doc-es/usr/share/doc/linuxcnc-uspace debian/linuxcnc-doc-es/usr/share/doc/linuxcnc
	
	dh_installdocs --doc-main-package=linuxcnc-uspace --package=linuxcnc-doc-fr
	mv debian/linuxcnc-doc-fr/usr/share/doc/linuxcnc-uspace/gcode.html debian/linuxcnc-doc-fr/usr/share/doc/linuxcnc-uspace/gcode_fr.html
	mv debian/linuxcnc-doc-fr/usr/share/doc/linuxcnc-uspace debian/linuxcnc-doc-fr/usr/share/doc/linuxcnc
	
	dh_installdocs --doc-main-package=linuxcnc-uspace --package=linuxcnc-doc-zh-cn
	mv debian/linuxcnc-doc-zh-cn/usr/share/doc/linuxcnc-uspace/gcode.html debian/linuxcnc-doc-zh-cn/usr/share/doc/linuxcnc-uspace/gcode_zh_CN.html
	mv debian/linuxcnc-doc-zh-cn/usr/share/doc/linuxcnc-uspace debian/linuxcnc-doc-zh-cn/usr/share/doc/linuxcnc


override_dh_compress:
	dh_compress -X.pdf -X.txt -X.hal -X.ini -X.clp -X.var -X.nml -X.tbl -X.xml -Xsample-configs

override_dh_fixperms:
	dh_fixperms -X/linuxcnc_module_helper -X/rtapi_app
	# In case that only the indep packages are built
	if [ -r  "$(DESTDIR)/usr/lib/tcltk/linuxcnc/linuxcnc.tcl" ]; then \
		chmod -x $(DESTDIR)/usr/lib/tcltk/linuxcnc/linuxcnc.tcl; \
	fi
	# override_dh_python3: # not executed, so we attach it to fixperms
	DEB_HOST_ARCH=`dpkg-architecture -qDEB_HOST_ARCH` dh_python3

override_dh_shlibdeps:
	cat debian/linuxcnc-uspace/DEBIAN/shlibs debian/shlibs.pre > debian/shlibs.local
	dh_shlibdeps -u--warnings=0 -l debian/linuxcnc-uspace/usr/lib

## linuxcnc 2.9.3

=== debian/changelog ===
linuxcnc (2.9.3-2) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Adjusted build dependencies to only require udev on Linux.

  [ Sebastian Kuzminsky ]
  * Backport gettimeofday fix for sid from 2.9 branch (Closes: #1092538).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 26 Jan 2025 09:13:18 +0100

linuxcnc (2.9.3-1) unstable; urgency=medium

  * New upstream version 2.9.3
  * Added d/gbp.conf documenting current branch layout.
  * Avoid man page file conflict between linuxcnc-uspace and linuxcnc-uspace-dev
    (Closes: #1055493).
  * Build depend on current libgl-dev with obsolete libgl1-mesa-dev
    as alternative.
  * Change linuxcnc-doc-es package description from Spanish to English
    (Closes: #1057312).
  * Bring d/README.source and d/rules.in in line with upstream 2.9 branch.
  * Make sure to remove docs/man/index.db in clean target for rebuildability
    (Closes: #1045366).
  * Moved udev rules to /usr/ for usr merge (Closes: #1073692).
  * Use $(RM) macro where applicable.
  * Added Andy, Steffen and myself as uploaders.
  * Adjusted  the vcs links in d/control to the actually git repo used.
  * Added homepage URL to appstream metadata.
  * Updated Standards-Version from 4.6.1 to 4.7.0.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 07 Jul 2024 14:09:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,16 @@
 Section: misc
 Priority: optional
 Maintainer: LinuxCNC Developers <emc-developers@lists.sourceforge.net>
-Uploaders: Jeff Epler <jepler@gmail.com>, Sebastian Kuzminsky <seb@highlab.com>
+Uploaders:
+ Andy Pugh <andy@bodgesoc.org>,
+ Jeff Epler <jepler@gmail.com>,
+ Petter Reinholdtsen <pere@debian.org>,
+ Sebastian Kuzminsky <seb@highlab.com>,
+ Steffen Moeller <moeller@debian.org>
 Build-Depends:
     debhelper-compat (= 13),
     dh-python,
-    libudev-dev,
+    libudev-dev [linux-any],
     docbook-xsl,
     asciidoc,
     ghostscript,
@@ -20,7 +25,7 @@
     intltool,
     libboost-python-dev,
     libepoxy-dev,
-    libgl1-mesa-dev | libgl1-mesa-swx11-dev,
+    libgl-dev | libgl1-mesa-dev,
     libglu1-mesa-dev,
     libgtk2.0-dev,
     libgtk-3-dev,
@@ -63,10 +68,10 @@
     w3c-linkchecker,
     xsltproc,
     texlive-xetex,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://linuxcnc.org/
-Vcs-Browser: https://github.com/LinuxCNC/linuxcnc
-Vcs-Git: https://github.com/LinuxCNC/linuxcnc.git
+Vcs-Browser: https://github.com/LinuxCNC/linuxcnc-gbp
+Vcs-Git: https://github.com/LinuxCNC/linuxcnc-gbp.git
 Rules-Requires-Root: binary-targets
 
 Package: linuxcnc-uspace-dev
@@ -76,7 +81,7 @@
          ${python3:Depends},
          python3-serial,
          linuxcnc-uspace (= ${binary:Version}),
-         udev,
+         udev [linux-any],
          python3-yapps
 Section: devel
 Description: PC based motion controller for real-time Linux
@@ -140,7 +145,7 @@
     ${misc:Depends},
     ${python3:Depends},
     ${shlibs:Depends},
-    libudev-dev,iptables,
+    libudev-dev [linux-any],iptables,
     blt,
     mesa-utils,
     python3-tk,
@@ -157,7 +162,7 @@
     tclreadline,
     tclx,
     procps, psmisc,
-    udev
+    udev [linux-any]
 Recommends:
     linuxcnc-doc-en | linuxcnc-doc,
     librsvg2-dev,
@@ -282,12 +287,12 @@
 Replaces: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4)
 Recommends: xdg-utils
 Suggests: pdf-viewer
-Description: controlador de movimiento para máquinas CNC y robots (Español).
- LinuxCNC es EMC (controlador de máquina mejorado) que proporciona
- control de movimiento para máquinas herramientas CNC (fresado,
- torneado, ruteado, etc.) y aplicaciones de robótica.
- .
- Este paquete contiene la documentación en español.
+Description: motion controller for CNC machines and robots (Spanish documentation)
+ LinuxCNC is the next-generation Enhanced Machine Controller which
+ provides motion control for CNC machine tools and robotic
+ applications (milling, cutting, routing, etc.).
+ .
+ This package contains the documentation in Spanish.
 
 Package: linuxcnc-doc-zh-cn
 Provides: linuxcnc-doc

=== debian/rules ===
--- 
+++ 
@@ -60,15 +60,16 @@
 	dh_auto_clean
 	py3clean .
 	if [ -r src/Makefile.inc -a -r src/config.status ]; then $(MAKE) -C src clean -s; fi
-	rm -f Makefile.inc
-	rm -f src/config.log src/config.status
-	rm -f $(for i in $(find . -name "*.in"); do basename $i .in; done)
+	$(RM) Makefile.inc
+	$(RM) src/config.log src/config.status
+	$(RM) $(for i in $(find . -name "*.in"); do basename $i .in; done)
 
-	rm -f scripts/halcmd_twopass scripts/halrun scripts/haltcl scripts/linuxcnc scripts/linuxcnc-checklink scripts/linuxcnc_info scripts/linuxcnc_var scripts/linuxcncmkdesktop scripts/realtime scripts/rip-environment scripts/runtests src/config.guess src/config.sub src/configure src/install-sh lib/libpyplugin.so docs/src/hal/components_gen.adoc
+	$(RM) scripts/halcmd_twopass scripts/halrun scripts/haltcl scripts/linuxcnc scripts/linuxcnc-checklink scripts/linuxcnc_info scripts/linuxcnc_var scripts/linuxcncmkdesktop scripts/realtime scripts/rip-environment scripts/runtests src/config.guess src/config.sub src/configure src/install-sh lib/libpyplugin.so docs/src/hal/components_gen.adoc
 
-	rm -f lib/python/nf.py scripts/rtapi.conf scripts/setup_designer share/applications/linuxcnc-latency-histogram.desktop share/applications/linuxcnc-latency.desktop share/applications/linuxcnc-pncconf.desktop share/applications/linuxcnc-stepconf.desktop share/applications/linuxcnc.desktop share/desktop-directories/linuxcnc-cnc.directory share/desktop-directories/linuxcnc-doc.directory share/desktop-directories/linuxcnc-ref.directory share/menus/CNC.menu src/Makefile.inc src/Makefile.modinc src/config.h src/config.h.in tcl/linuxcnc.tcl
+	$(RM) lib/python/nf.py scripts/rtapi.conf scripts/setup_designer share/applications/linuxcnc-latency-histogram.desktop share/applications/linuxcnc-latency.desktop share/applications/linuxcnc-pncconf.desktop share/applications/linuxcnc-stepconf.desktop share/applications/linuxcnc.desktop share/desktop-directories/linuxcnc-cnc.directory share/desktop-directories/linuxcnc-doc.directory share/desktop-directories/linuxcnc-ref.directory share/menus/CNC.menu src/Makefile.inc src/Makefile.modinc src/config.h src/config.h.in tcl/linuxcnc.tcl
 
-	rm -f docs/po/cs.po docs/po/da.po docs/po/de.po
+	$(RM) docs/po/cs.po docs/po/da.po
+	$(RM) docs/man/index.db docs/index.html
 	dh_clean
 
 
@@ -81,7 +82,7 @@
 	desktop-file-validate $(shell find debian/extras/ share/applications/ -name *.desktop);
 	
 	# some clean-up
-	rm -f $(DESTDIR)/usr/share/doc/linuxcnc-uspace/examples/sample-configs/*/*position*.txt
+	$(RM) $(DESTDIR)/usr/share/doc/linuxcnc-uspace/examples/sample-configs/*/*position*.txt
 
 override_dh_installdocs-arch:
 	# Sample configs go in `usr/share/doc/linuxcnc` (not
@@ -98,7 +99,7 @@
 override_dh_auto_install-indep:
 	DESTDIR=$(DESTDIR) $(MAKE) -C src install-docs install-doc
 	# Remove the docs we just built that we don't have debs for yet...
-	rm -f $(DESTDIR)/usr/share/doc/linuxcnc/*_nb.pdf
+	$(RM) $(DESTDIR)/usr/share/doc/linuxcnc/*_nb.pdf
 
 override_dh_installdocs-indep:
 	# The G-code quick reference html docs are built as
